- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSgLParserData Class Reference

The OSgLParserData Class. More...

`#include <OSgLParserData.h>`

Collaboration diagram for OSgLParserData:

[legend]
List of all members.

## Public Member Functions
| OSgLParserData ()
| the OSgLParserData class constructor
| ~OSgLParserData ()
## Public Attributes
bool | osglMultPresent
| data structure to process an IntVector and hold the data temporarily
bool | osglIncrPresent
bool | osglNumberOfElPresent
int | osglNumberOfEl
int * | osglIntArray
int | osglMult
int | osglIncr
int | osglSize
int | osglCounter
int | osglTempint
std::string | fileName
| data structure to process a GeneralFileHeader and hold the data temporarily
std::string | source
std::string | description
std::string | fileCreator
std::string | licence
void * | scanner
| scanner is used to store data in a reentrant lexer we use this to pass an OSoLParserData object to the parser
char * | errorText
| if the parser finds invalid text it is held here and we delete if the file was not valid

## Detailed Description

The OSgLParserData Class.

Remarks:
  the OSgLParserData class is used to temporarily hold data found in parsing the OSgL data structures. we do this so we can write reusable code.

Definition at line 30 of file OSgLParserData.h.

## Constructor & Destructor Documentation

OSgLParserData::OSgLParserData | ( |  | ) |

the OSgLParserData class constructor

Definition at line 26 of file OSgLParserData.cpp.

OSgLParserData::~OSgLParserData | ( |  | ) |

Definition at line 18 of file OSgLParserData.cpp.

References osglIntArray.

## Member Data Documentation

bool OSgLParserData::osglMultPresent

data structure to process an IntVector and hold the data temporarily

Definition at line 34 of file OSgLParserData.h.

bool OSgLParserData::osglIncrPresent

Definition at line 35 of file OSgLParserData.h.

bool OSgLParserData::osglNumberOfElPresent

Definition at line 36 of file OSgLParserData.h.

int OSgLParserData::osglNumberOfEl

Definition at line 37 of file OSgLParserData.h.

int* OSgLParserData::osglIntArray

Definition at line 38 of file OSgLParserData.h.

Referenced by osgl_empty_vectors(), and ~OSgLParserData().

int OSgLParserData::osglMult

Definition at line 39 of file OSgLParserData.h.

int OSgLParserData::osglIncr

Definition at line 40 of file OSgLParserData.h.

int OSgLParserData::osglSize

Definition at line 41 of file OSgLParserData.h.

int OSgLParserData::osglCounter

Definition at line 42 of file OSgLParserData.h.

int OSgLParserData::osglTempint

Definition at line 43 of file OSgLParserData.h.

std::string OSgLParserData::fileName

data structure to process a GeneralFileHeader and hold the data temporarily

Definition at line 46 of file OSgLParserData.h.

std::string OSgLParserData::source

Definition at line 47 of file OSgLParserData.h.

std::string OSgLParserData::description

Definition at line 48 of file OSgLParserData.h.

std::string OSgLParserData::fileCreator

Definition at line 49 of file OSgLParserData.h.

std::string OSgLParserData::licence

Definition at line 50 of file OSgLParserData.h.

void* OSgLParserData::scanner

scanner is used to store data in a reentrant lexer we use this to pass an OSoLParserData object to the parser

Definition at line 62 of file OSgLParserData.h.

char* OSgLParserData::errorText

if the parser finds invalid text it is held here and we delete if the file was not valid

Definition at line 67 of file OSgLParserData.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSgLParserData.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSParsers/OSgLParserData.cpp